﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.IO;
namespace ShowVideoWithAdo
{
    public partial class Form1 : Form
    {
        SqlConnection cnn=new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database1.mdf;Integrated Security=True;User Instance=True");
        SqlCommand cmd;
        SqlDataAdapter da;
        DataTable dt;

        private DataTable Fills(string sql)
        {
            cnn.Close();
            cnn.Open();
            da = new SqlDataAdapter(sql, cnn);
            dt = new DataTable();
            da.Fill(dt);
            return dt;
        }

        private void SaveFiles(string path)
        {
            FileInfo f=new FileInfo(path);
            string name = f.Name.Substring(0, f.Name.Length - 4);
            string ext = f.Extension;

            FileStream fs = new FileStream(path, FileMode.Open, FileAccess.Read);

            byte[] ar = File.ReadAllBytes(path);

            cnn.Close();
            cnn.Open();

            cmd = new SqlCommand("Insert into tbl_files values(@f1,@f2,@f3)",cnn);
            cmd.Parameters.Add("f1", SqlDbType.NVarChar).Value = name;
            cmd.Parameters.Add("f2", SqlDbType.NChar).Value = ext;
            cmd.Parameters.Add("f3", SqlDbType.Binary).Value = ar ;

            cmd.ExecuteNonQuery();

            cnn.Close();

        }


        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = Fills("select Id,name,extension from tbl_files");
            dataGridView1.DataSource = dt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
            if (openFileDialog1.FileName != "")
            {
                textBox1.Text = openFileDialog1.FileName;
                SaveFiles(openFileDialog1.FileName);

                DataTable dt = Fills("select Id,name,extension from tbl_files");
                dataGridView1.DataSource = dt;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            DataTable dt = Fills("select * from tbl_files where id=" + (int) dataGridView1.CurrentRow.Cells[0].Value);
            if (dt.Rows.Count > 0)
            {
                byte[] ar2 =(byte[]) dt.Rows[0]["Bin"];
                Program.VPath  = Application.StartupPath + "\\" + dataGridView1.CurrentRow.Cells[1].Value.ToString() + dataGridView1.CurrentRow.Cells[2].Value.ToString();

                FileStream fs = new FileStream(Program.VPath, FileMode.Create, FileAccess.Write);
                fs.Write(ar2, 0, (int)ar2.Length);
                fs.Close();

                FrmPlay frm = new FrmPlay();
                frm.Show();

            }
        }

        private void button3_Click(object sender, EventArgs e)
        {

            saveFileDialog1.ShowDialog();
            if (saveFileDialog1.FileName != "")
            {
                DataTable dt = Fills("select * from tbl_files where id=" + (int)dataGridView1.CurrentRow.Cells[0].Value);
                byte[] ar2 = (byte[])dt.Rows[0]["Bin"];

                Program.VPath = saveFileDialog1.FileName  + dataGridView1.CurrentRow.Cells[2].Value.ToString();
                FileStream fs = new FileStream(Program.VPath, FileMode.Create, FileAccess.Write);
                fs.Write(ar2, 0, (int)ar2.Length);
                fs.Close();
            }

        }

        private void button4_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("http://WWw.SourceCodes.ir");
        }
    }
}
